package RVVote::Controller::RV;
use Mojo::Base 'Mojolicious::Controller';
use RVVote::GraphAPI;

sub index {
    my $c = shift;
    $c->render( template => 'rv_form' );
}

sub members {
    my $c = shift;
    
    my $gapi = RVVote::GraphAPI->new($c->config->{graph_api}{url});
    my @members = $gapi->get_group_members($c->config->{graph_api}{rv_gid});

    $c->render( json => \@members );
}

1;
